/* ==================================================== */
/* MEDIA QUERIES */
/* ==================================================== */
@media (max-width: 750px) {
	.hero-banner {
		aspect-ratio: 440 / 246;
		height: unset;
	}
}

@media (min-width: 500px) {
	.hero-heading {
		font-size: 6rem;
	}
	.hero-text h2 {
		font-size: 3rem;
	}
	.hero-banner__title {
		font-size: 4rem;
	}
	.map-container {
		padding: 5rem var(--space-x-base) 5rem;
	}
}

@media (min-width: 750px) {
	.auth-layout {
		display: flex;
		width: 100%;
	}
	.auth-layout__gallery{
		height: auto;
	}
	.auth-gallery__single-image.tablet {
		display: block;
	}
	.auth-gallery__single-image.mobile, .auth-gallery__single-image.desktop {
		display: none;
	}
	.auth-layout__form-container {
		height: 100vh;
		min-height: 400px;
	}
	.hero-banner__title {
		font-size: 5rem;
		top: 0.95rem;
		left: 0.75rem;
	}
	.map-container h2 {
		font-size: 4.688rem;
	}
	.approach-section {
		padding-top: 5.5rem;
		padding-bottom: 5.5rem;
	}
	.approach-heading {
		font-size: 2.5rem;
		align-items: end;
		max-width: 30rem;
		text-align: right;
	}
	.approach-container {
		flex-direction: row;
		justify-content: center;
		align-items: flex-end;
	}
	.approach-content {
		flex: 1;
		display: flex;
		justify-content: flex-end;
		margin-right: 4rem;
	}
	.heading-blue {
		max-width: 20rem;
	}
	.approach-visuals {
		flex: 1;
		height: 26rem;
		margin-top: 1rem;
		max-width: 42rem;
	}
	.mission-heading {
		font-size: 2.875rem;
		margin-bottom: 1.75rem;
	}
	.testimonial__quote {
		font-size: 2.5rem;
	}
	.testimonial__author {
		flex-direction: row;
		align-items: center;
	}
	.testimonial__author>*+* {
		margin-top: 0;
		margin-left: 3rem;
	}
	.author__brand {
		padding-right: 3rem;
		border-right: 1px solid rgba(255, 255, 255, 0.2);
	}
	.author__person {
		align-items: center;
	}
	.leadership-section {
		padding-top: 5.5rem;
		padding-bottom: 5.5rem;
	}
	.portfolio-pillars {
		padding-top: 5rem;
		padding-bottom: 5rem;
	}
	.portfolio-pillars__grid {
		grid-template-columns: repeat(3, 1fr);
	}
	.pillar-card, .pillar-card:nth-child(even) {
		margin-top: -5rem;
	}
	.pillar-card:nth-child(2) {
		margin-top: 0;
	}
	.pillar-card:last-child {
		grid-column: 3;
	}
	.pillar-card__image {
		aspect-ratio: 325 / 500;
		height: 100%;
	}
	.pillar-card__media:after {
		content: '';
		position: absolute;
		left: 0;
		bottom: 0;
		width: 100%;
		height: 200px;
		pointer-events: none;
		background: linear-gradient(to bottom, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0.5) 100%);
	}
	.pillar-card__title-wrapper {
		position: absolute;
		bottom: 0;
		left: 0;
		width: 100%;
		padding: 1rem;
		z-index: 2;
	}
	.pillar-card__title {
		margin: 0;
		color: var(--color-white);
	}
	.pillar-card__content {
		padding: 1.5rem 0 0 0;
	}
	.pillar-link {
		margin: 4rem 0 0;
	}
	.portfolio-directory {
		padding-top: 4.5rem;
		padding-bottom: 4.5rem;
	}
	.directory-grid {
		grid-template-columns: repeat(3, 1fr);
		row-gap: 1.5rem;
		column-gap: 1.5rem;
	}
	.property-card__media{
		padding:1.5rem 1.5rem 0 1.5rem;
	}
	.property-card__content{
		padding:1.5rem;
	}
	.property-card__title {
		font-size: 1.5rem;
	}
	.contact-heading {
		font-size: 3rem;
	}
	.contact-grid{
		flex-direction: row;
	}
	.contact-form {
		padding: 2rem;
		box-shadow: 0 0 1.5625rem 0 rgba(0, 50, 91, 0.04);
	}
}


@media (min-width: 1000px) {
	.site-header__container {
		padding-top: 1.25rem;
		padding-bottom: 1.25rem;
	}
	.site-header__navigation {
		display: flex;
		position: static;
		width: auto;
		padding: 0;
		box-shadow: none;
	}
	.site-header__navigation-list {
		flex-direction: row;
	}
	.site-header__navigation-list li+li {
		margin-top: 0;
		margin-left: 3.5rem;
	}
	.site-header__toggle-button {
		display: none;
	}
	.mission-section {
		width: 100%;
		max-width: 100%;
	}
	.mission-container {
		flex-direction: row;
		align-items: flex-end;
	}
	.mission-container>*+* {
		margin-top: 0;
		margin-left: 5rem;
	}
	.mission-image-column {
		width: 55%;
		height: 455px;
	}
	.mission-text-column {
		width: 50%;
		max-width: 28.125rem;
		padding: 0 1rem 11rem 1rem;
	}
	.directory-filters__search {
		max-width: 15rem;
	}
	.directory-grid {
		grid-template-columns: repeat(4, 1fr);
	}
	.site-footer__main {
		flex-wrap: nowrap;
		align-items: flex-end;
		justify-content: space-between;
		gap: 0;
	}
	.site-footer__brand {
		order: 1;
	}
	.site-footer__locations {
		flex-basis: auto;
		flex: 1;
		justify-content: center;
		margin-left: 2rem;
		order: 2;
	}
	.site-footer__locations>*+* {
		margin-left: 3rem;
	}
	.site-footer__badges {
		margin-left: 0;
		order: 3;
	}
}

@media (min-width: 1200px) {
	.auth-gallery__single-image.desktop {
		display: block;
	}
	.auth-gallery__single-image.mobile, .auth-gallery__single-image.tablet {
		display: none;
	}
	.auth-layout__gallery {
		flex: 1.1;
	}
	.auth-layout__form-container {
		flex: 0.9;
	}
	.hero-content {
		max-width: none;
	}
	.hero-subheading {
		margin-bottom: 8rem;
	}
	.hero-text {
		padding: 10rem var(--space-x-base) 5rem;
	}
	.hero-banner__title {
		font-size: 6rem;
	}
	.approach-heading {
		font-size: 3.25rem;
	}
	.approach-visuals {
		height: 42rem;
	}
	.portfolio-link-wrapper-standalone {
		grid-template-columns: 1fr 1fr;
		justify-items: flex-end;
		gap: 11rem;
		top: 5rem;
	}
	.mission-heading {
		font-size: 3.25rem;
		margin-bottom: 2rem;
	}
	.testimonial {
		padding-top: 10rem;
		padding-bottom: 8rem;
	}
	.testimonial__quote {
		font-size: 3.25rem;
	}
	.leadership-section {
		padding-top: 10rem;
		padding-bottom: 6rem;
	}
	.leadership-container {
		grid-template-columns: 2fr 3fr;
	}
	.leadership-sidebar {
		align-items: flex-end;
		position: sticky;
		top: 6rem;
		padding-right: 12rem;
		text-align: right;
	}
	.sidebar-heading {
		font-size: 3.75rem;
	}
	.sidebar-subheading {
		font-size: 2.25rem;
	}
	.sidebar-link {
		align-self: flex-end
	}
	.profile-name {
		font-size: 3rem;
	}
	.profile-card {
		flex-direction: row;
		padding-left: 5rem;
	}
	.profile-card>*+* {
		margin-top: 0;
		margin-left: 4rem;
	}
	.profile-header {
		flex: 1;
	}
	.profile-bio {
		max-width: 35rem;
	}
	.portfolio-pillars {
		padding-top: 6rem;
		padding-bottom: 6rem;
	}
	.portfolio-pillars__grid {
		grid-template-columns: repeat(5, 1fr);
		align-items: start;
		row-gap: 3rem;
		column-gap: 2rem;
	}
	.pillar-card:last-child {
		grid-column: auto;
	}
	.pillar-card {
		margin-top: 0;
	}
	.pillar-card:nth-child(even) {
		margin-top: 5rem;
	}
	.pillar-card__image {
		aspect-ratio: 325 / 600;
	}
	.pillar-card__title-wrapper {
		padding: 2rem;
	}
	.pillar-card__text {
		padding-left: 2rem
	}
	.portfolio-directory {
		padding-top: 6rem;
		padding-bottom: 6rem;
	}
	.directory-filters__toggle {
		display: none;
	}
	.directory-filters__dropdowns {
		display: flex;
	}
	.filters-overlay,
	.filters-overlay--active {
		display: none;
	}
	.directory-filters__dropdowns>*+* {
		margin-left: 2.5rem;
	}
	.contact-heading {
		font-size: 4.5rem;
	}
	.map-wrap {
		background-image: url("assets/images/map-bk.webp");
	}
	.map-container {
		grid-template-columns: 3fr 1fr;
	}
	.map-container-right {
		display: block;
		align-self: flex-end;
		justify-self: flex-end;
	}
	.contact-section__media {
		height: auto;
		aspect-ratio: 1 / 1;
	}
	.contact-section {
		grid-template-columns: 4fr 5fr;
		gap: 4rem;
		align-items: flex-start;
	}
}

@media (min-width: 1400px) {
	.pillar-card__title {
		font-size: 2.5rem;
	}
	.directory-grid {
		grid-template-columns: repeat(6, 1fr);
	}
	.contact-section {
		grid-template-columns: 5fr 4fr;
	}
	.site-footer__address {
		flex-direction: row;
		align-items: center;
	}
	.site-footer__address>*+* {
		margin-top: 0;
		margin-left: 1.5rem;
	}
}
